System.Core 4.0.0.0 System.Linq.Expressions.Expression System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/RuntimeVariablesExpressionProxy))

This type is necessary for implementing "eval" in dynamic languages. It evaluates to an instance of at run time.

An expression that provides runtime read/write permission for variables.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this Expression. Extension nodes should return when overriding this method.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Method
  4.0.0.0
  System.Linq.Expressions.RuntimeVariablesExpression `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result.
- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.ParameterExpression> To be added. To be added.

  The variables or parameters to which to provide runtime access.